Page MenuHomePhabricator

Hard deprecate Revision::getUserText
Closed, ResolvedPublic

Description

The only remaining use outside of core is in AbuseFilter

  • Fix abusefilter
  • Replace core uses
  • Hard deprecate

Hard deprecation is ready to go: https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/598865/

Event Timeline

Change 588793 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/AbuseFilter@master] Remove a remaining use of Revision objects

https://gerrit.wikimedia.org/r/588793

DannyS712 triaged this task as Medium priority.Apr 18 2020, 9:09 PM
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

@Daimona can you take a look at the patch for AbuseFilter?

Change 588793 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Remove a remaining use of Revision objects

https://gerrit.wikimedia.org/r/588793

DannyS712 updated the task description. (Show Details)Apr 23 2020, 8:05 PM
DannyS712 added a comment.EditedApr 23 2020, 8:09 PM

Unfortunately, a lot of the uses in core are in other components that will need more work to remove the Revision objects, some of which already have patches pending, eg T250680: Hard deprecate WikiPage::getUndoContent. I'll try to track down those not already covered elsewhere

Change 589702 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace uses and hard deprecate Parser::getRevisionObject

https://gerrit.wikimedia.org/r/589702

Change 589705 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Have CoreParserFunctions::getCachedRevisionObject return RevisionRecord

https://gerrit.wikimedia.org/r/589705

Change 592318 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] RollbackAction: Reduce uses of Revision objects

https://gerrit.wikimedia.org/r/592318

Change 592319 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Article::setOldSubtitle - reduce use of Revision objects

https://gerrit.wikimedia.org/r/592319

Change 592320 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Convert WikiPage::$mLastRevision to RevisionRecord

https://gerrit.wikimedia.org/r/592320

Change 592513 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

Change 592513 merged by jenkins-bot:
[mediawiki/core@master] Add ContribsPager::tryCreatingRevisionRecord

https://gerrit.wikimedia.org/r/592513

Change 592320 merged by jenkins-bot:
[mediawiki/core@master] Convert WikiPage::$mLastRevision to RevisionRecord

https://gerrit.wikimedia.org/r/592320

Change 589702 merged by jenkins-bot:
[mediawiki/core@master] Replace uses and hard deprecate Parser::getRevisionObject

https://gerrit.wikimedia.org/r/589702

Change 589705 merged by jenkins-bot:
[mediawiki/core@master] Have CoreParserFunctions::getCachedRevisionObject return RevisionRecord

https://gerrit.wikimedia.org/r/589705

Change 593620 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace various uses of Revision objects

https://gerrit.wikimedia.org/r/593620

Change 593620 merged by jenkins-bot:
[mediawiki/core@master] Replace various uses of Revision objects

https://gerrit.wikimedia.org/r/593620

Change 592319 merged by jenkins-bot:
[mediawiki/core@master] Article::setOldSubtitle - reduce use of Revision objects

https://gerrit.wikimedia.org/r/592319

Remaining core uses:

and tests

Change 594253 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove use of Revision objects in SpecialNewpages::feedItemDesc

https://gerrit.wikimedia.org/r/594253

Change 594253 merged by jenkins-bot:
[mediawiki/core@master] Remove use of Revision objects in SpecialNewpages::feedItemDesc

https://gerrit.wikimedia.org/r/594253

Change 592318 merged by jenkins-bot:
[mediawiki/core@master] RollbackAction: Reduce uses of Revision objects

https://gerrit.wikimedia.org/r/592318

Change 593272 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593272

Change 593272 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593272

Only remaining use before hard deprecation can proceed

Change 593272 merged by jenkins-bot:
[mediawiki/core@master] Remove DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593272

Change 598865 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate Revision::getUserText

https://gerrit.wikimedia.org/r/598865

DannyS712 updated the task description. (Show Details)May 26 2020, 10:06 PM

Change 598865 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Revision::getUserText, ::isMinor, and ::isCurrent

https://gerrit.wikimedia.org/r/598865

DannyS712 closed this task as Resolved.May 27 2020, 6:35 PM
DannyS712 removed a project: Patch-For-Review.